uk.gov.hmrc.wco.dec.inventorylinking.movement.request

# InventoryLinkingMovementRequest

###
Related Docs: class InventoryLinkingMovementRequest | package request

#### object InventoryLinkingMovementRequest extends JacksonMapper with Serializable

Linear Supertypes
Serializable, Serializable, JacksonMapper, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InventoryLinkingMovementRequest
2. Serializable
3. Serializable
4. JacksonMapper
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val _props: JavaPropsMapper

   Attributes
     protected
   Definition Classes
     JacksonMapper

5. #### val _schema: JavaPropsSchema

   Attributes
     protected
   Definition Classes
     JacksonMapper

6. #### val _xml: ObjectMapper

   Attributes
     protected
   Definition Classes
     JacksonMapper

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def fromProperties(props: Map[String, String]): InventoryLinkingMovementRequest

13. #### def fromXml(xml: String): InventoryLinkingMovementRequest

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final val namespace: String("http://gov.uk/customs/inventoryLinking/v1")

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from JacksonMapper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped